Package org.eclipse.graphiti.ui.internal.config

## Interface IConfigurationProviderInternal

All Superinterfaces:
  `IConfigurationProvider`, `IFeatureProviderHolder`, `IResourceRegistryHolder`

All Known Implementing Classes:
  `ConfigurationProvider`

    public interface IConfigurationProviderInternal
    extends IConfigurationProvider, IResourceRegistryHolder

### Method Summary

All Methods Instance Methods Abstract Methods
`IContextButtonManager` `getContextButtonManager()`
`IEditPartFactory` `getEditPartFactory()` Returns the IEditPartFactory of this Model.
`IEditPolicyFactory` `getEditPolicyFactory()` Returns the IEditPolicyFactory of this Model.
`void` `setContextButtonManager​(IContextButtonManager contextButtonManager)`

### Methods inherited from interface org.eclipse.graphiti.ui.platform.IConfigurationProvider

`dispose, getDiagram, getDiagramBehavior, getDiagramContainer, getDiagramTypeProvider, getWorkbenchPart, isDisposed, setWorkbenchPart`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.IResourceRegistryHolder

`getResourceRegistry`

### Method Detail

#### getEditPartFactory

    IEditPartFactory getEditPartFactory()

Returns the IEditPartFactory of this Model.

Returns:
  The IEditPartFactory of this Model.

#### getEditPolicyFactory

    IEditPolicyFactory getEditPolicyFactory()

Returns the IEditPolicyFactory of this Model.

Returns:
  The IEditPolicyFactory of this Model.

#### setContextButtonManager

    void setContextButtonManager​(IContextButtonManager contextButtonManager)

#### getContextButtonManager

    IContextButtonManager getContextButtonManager()